Update charge details

Updates the details of the specified charge on the specified plan.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

id of the plan associated with the charge

string
required

id of the charge

Body Params

JSON object representing the charge details.

string
required

Name of the charge

string

Display name of the charge shown to customers

string

Detailed description of the charge

uuid

ID of the tax rate applied to this charge. To get a list of available tax rate IDs, call the Get tax rates operation. DEPRECATED: Use taxRateStrategyId instead. (deprecated: use taxRateStrategyId)

string

ID of the tax rate strategy applied to this charge. This determines how taxes are calculated when multiple tax rates apply.

uuid

ID of the unit of measure for this charge (e.g., GB, users, licenses). To get a list of available unit of measure IDs, call the Get units of measure operation.

boolean

Indicates if the charge is renewable

boolean

Indicates if the charge can be credited

boolean

Indicates if the list price can be edited

int64

Minimum quantity that must be ordered. Applicable only if the chargeModel is PER_UNIT or RATE_CARD_LOOKUP.

int64

Default quantity for this charge. Applicable only if the chargeModel is PER_UNIT or RATE_CARD_LOOKUP.

int64

Maximum quantity that can be ordered. Applicable only if the chargeModel is PER_UNIT or RATE_CARD_LOOKUP.

string

External identifier for the charge, used for integration with other systems

number

NOTE: This parameter is currently in beta
Minimum monetary amount for this charge. Applies only when type is PERCENTAGE_OF.

number

NOTE: This parameter is currently in beta
Maximum monetary amount for this charge. Applies only when type is PERCENTAGE_OF.

string

ID of the revenue recognition rule associated with this charge

string

ERP system identifier for this charge

string

Item code used for this charge in external systems

targetPlanIds
array of strings

List of plan IDs that this PERCENTAGE_OF charge applies to

targetPlanIds
string

ID of the plan this charge belongs to

number

The monetary amount for this charge

string
enum
required

Type of charge: ONE_TIME, RECURRING, USAGE, PREPAID, or PERCENTAGE_OF.
See also Supported charge type and charge model combinations.

  • ONE_TIME: Charge a one-time fee for a product or service that's usually purchased only once, for example, an initial setup fee.
  • RECURRING: Charge a fee on a recurring basis. The recurrence object specifies the cadence.
  • USAGE: Charge customers based on their usage of the product or service.
  • PREPAID: Charge customers a certain price in advance of them using a product or service. Suitable for scenarios where the customer purchases the product or service for a fixed duration or usage limit.
  • PERCENTAGE_OF: Charge a percentage of a customer's revenue gained from using your product or service. The price is calculated as a percentage of the total cost of one or more target plans. The targetPlanIds field specifies the plans that are targeted.
Allowed:
string
enum
required

Pricing model for the charge: PER_UNIT, VOLUME, TIERED, FLAT_FEE, BLOCK, or RATE_CARD_LOOKUP.
See also Supported charge type and charge model combinations.

  • PER_UNIT: Charge a specific amount per unit of the product.
  • VOLUME: Offer a volume discount where per-unit cost decreases as the customer buys a larger number of product units.
  • TIERED: Define tiers with different per-unit prices based on number of units bought. Per-unit prices are applied successively starting with the first tier.
  • FLAT_FEE: Charge a fixed, flat amount on a set schedule regardless of plan usage. For example, charge a $10 flat fee per month.
  • BLOCK: Define product usage in tiered blocks and charge a specific amount per block based on the usage tier. For example, for an email marketing platform, charge $100 for a usage block of 1-500 emails, and $150 for a usage block of 500+ emails. A customer who wants to send 800 emails will purchase the 500+ block for $150.
  • RATE_CARD_LOOKUP: Use an existing rate card to price a product based on a combination of price attributes.
Allowed:
recurrence
object
priceTiers
array of objects

List of price tiers for tiered pricing models. Required only if the value of chargeModel is TIERED, BLOCK or VOLUME.

priceTiers
boolean

Indicates if this is a drawdown charge

string

ID of the base charge for minimum commit calculation

string

NOTE: This parameter is currently in beta
ID of the base charge for overage calculation

boolean

Indicates if this is a custom charge

number

Percentage value for PERCENTAGE_OF charge types

string
enum

For PERCENTAGE_OF charges, specifies if percentage is calculated from LIST_AMOUNT or SELL_AMOUNT

Allowed:
ledgerAccountMapping
object
int64

Duration of the charge in months (for time-limited charges)

boolean

Indicates if this charge is event-based rather than time-based

boolean

Indicates if this charge represents a discount

string

ID of the rate card for RATE_CARD_LOOKUP charge models

string
enum

Billing term: UP_FRONT or IN_ARREARS

Allowed:
string
enum

Billing cycle: DEFAULT, CHARGE_RECURRENCE, PAID_IN_FULL, MONTH, QUARTER, SEMI_ANNUAL, YEAR

Allowed:
boolean

Indicates if this charge should be included in Annual Recurring Revenue (ARR) calculations

customFields
object

Map of custom fields associated with this charge

boolean
string
boolean
boolean
boolean
Response
default

successful operation

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!